
void _efl_ui_layout_part_text_efl_text_text_set(Eo *obj, void *pd, const char *text);


const char *_efl_ui_layout_part_text_efl_text_text_get(const Eo *obj, void *pd);


void _efl_ui_layout_part_text_efl_text_markup_markup_set(Eo *obj, void *pd, const char *markup);


const char *_efl_ui_layout_part_text_efl_text_markup_markup_get(const Eo *obj, void *pd);


void _efl_ui_layout_part_text_efl_ui_l10n_l10n_text_set(Eo *obj, void *pd, const char *label, const char *domain);


const char *_efl_ui_layout_part_text_efl_ui_l10n_l10n_text_get(const Eo *obj, void *pd, const char **domain);


static Eina_Bool
_efl_ui_layout_part_text_class_initializer(Efl_Class *klass)
{
   const Efl_Object_Ops *opsp = NULL;

   const Efl_Object_Property_Reflection_Ops *ropsp = NULL;

#ifndef EFL_UI_LAYOUT_PART_TEXT_EXTRA_OPS
#define EFL_UI_LAYOUT_PART_TEXT_EXTRA_OPS
#endif

   EFL_OPS_DEFINE(ops,
      EFL_OBJECT_OP_FUNC(efl_text_set, _efl_ui_layout_part_text_efl_text_text_set),
      EFL_OBJECT_OP_FUNC(efl_text_get, _efl_ui_layout_part_text_efl_text_text_get),
      EFL_OBJECT_OP_FUNC(efl_text_markup_set, _efl_ui_layout_part_text_efl_text_markup_markup_set),
      EFL_OBJECT_OP_FUNC(efl_text_markup_get, _efl_ui_layout_part_text_efl_text_markup_markup_get),
      EFL_OBJECT_OP_FUNC(efl_ui_l10n_text_set, _efl_ui_layout_part_text_efl_ui_l10n_l10n_text_set),
      EFL_OBJECT_OP_FUNC(efl_ui_l10n_text_get, _efl_ui_layout_part_text_efl_ui_l10n_l10n_text_get),
      EFL_UI_LAYOUT_PART_TEXT_EXTRA_OPS
   );
   opsp = &ops;

   return efl_class_functions_set(klass, opsp, ropsp);
}

static const Efl_Class_Description _efl_ui_layout_part_text_class_desc = {
   EO_VERSION,
   "Efl.Ui.Layout_Part_Text",
   EFL_CLASS_TYPE_REGULAR,
   0,
   _efl_ui_layout_part_text_class_initializer,
   NULL,
   NULL
};

EFL_DEFINE_CLASS(efl_ui_layout_part_text_class_get, &_efl_ui_layout_part_text_class_desc, EFL_UI_LAYOUT_PART_CLASS, EFL_TEXT_INTERFACE, EFL_TEXT_MARKUP_INTERFACE, EFL_UI_L10N_INTERFACE, NULL);
